#include <stdio.h>
#include <stdlib.h>


int main( void )
{
  int size_x,size_y,num_Q;
  bool ** pole;
  int queen_y,queen_x;
  int i,j;
  int obsazeno;

  while( scanf("%d%d%d", &size_x, &size_y, &num_Q ) == 3 && size_y > 0 && size_x > 0 && num_Q >= 0 )
  {
    pole = new bool*[size_y];
    for( i=0 ; i<size_y ; i++ )
    {
      pole[i] = new bool[size_x];
    }
    obsazeno=0;
    
    for( i=0 ; i<num_Q ; i++ )
    {
      scanf("%d%d", &queen_x, &queen_y);
      
      queen_y--;
      queen_x--;
      for( j=0 ; j<size_x ; j++ )
      {
        if(pole[queen_y][j]!=1)
        {
          obsazeno++;
          pole[queen_y][j]=1;
        }
      }
      for( j=0 ; j<size_y ; j++ )
      {
        if(pole[j][queen_x]!=1)
        {
          obsazeno++;
          pole[j][queen_x]=1;
        }
      }
      j=1;
      while( queen_x+j < size_x && queen_y+j < size_y)
      {
        if(pole[queen_y+j][queen_x+j]!=1)
        {
          obsazeno++;
          pole[queen_y+j][queen_x+j]=1;
        }
        j++;
      }
      j=1;
      while( queen_x+j < size_x && queen_y-j >= 0 )
      {
        if(pole[queen_y-j][queen_x+j]!=1)
        {
          obsazeno++;
          pole[queen_y-j][queen_x+j]=1;
        }
        j++;
      }
      j=1;
      while( queen_x-j >= 0 && queen_y+j < size_y)
      {
        if(pole[queen_y+j][queen_x-j]!=1)
        {
          obsazeno++;
          pole[queen_y+j][queen_x-j]=1;
        }
        j++;
      }
      j=1;
      while( queen_x-j >= 0 && queen_y-j >= 0 )
      {
        if(pole[queen_y-j][queen_x-j]!=1)
        {
          obsazeno++;
          pole[queen_y-j][queen_x-j]=1;
        }
        j++;
      }

    }

    printf("%d\n", (size_x*size_y)-obsazeno);
    
    for( j=0 ; j<size_y ; j++ )
    {
      delete [] pole[j];
    }
    delete [] pole;

  }
  return 0;
}
